﻿package com.mm.android.audiorecord;

public class G711UEncode extends AudioEncode
{
	short[] _l2u = {

			0xfe, 0xfd, 0xfc, 0xfb, 0xfa, 0xf9, 0xf8, 0xf7,

			0xf6, 0xf5, 0xf4, 0xf3, 0xf2, 0xf1, 0xf0, 0xef,

			0xef, 0xee, 0xee, 0xed, 0xed, 0xec, 0xec, 0xeb,

			0xeb, 0xea, 0xea, 0xe9, 0xe9, 0xe8, 0xe8, 0xe7,

			0xe7, 0xe6, 0xe6, 0xe5, 0xe5, 0xe4, 0xe4, 0xe3,

			0xe3, 0xe2, 0xe2, 0xe1, 0xe1, 0xe0, 0xe0, 0xdf,

			0xdf, 0xdf, 0xdf, 0xde, 0xde, 0xde, 0xde, 0xdd,

			0xdd, 0xdd, 0xdd, 0xdc, 0xdc, 0xdc, 0xdc, 0xdb,

			0xdb, 0xdb, 0xdb, 0xda, 0xda, 0xda, 0xda, 0xd9,

			0xd9, 0xd9, 0xd9, 0xd8, 0xd8, 0xd8, 0xd8, 0xd7,

			0xd7, 0xd7, 0xd7, 0xd6, 0xd6, 0xd6, 0xd6, 0xd5,

			0xd5, 0xd5, 0xd5, 0xd4, 0xd4, 0xd4, 0xd4, 0xd3,

			0xd3, 0xd3, 0xd3, 0xd2, 0xd2, 0xd2, 0xd2, 0xd1,

			0xd1, 0xd1, 0xd1, 0xd0, 0xd0, 0xd0, 0xd0, 0xcf,

			0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xce,

			0xce, 0xce, 0xce, 0xce, 0xce, 0xce, 0xce, 0xcd,

			0xcd, 0xcd, 0xcd, 0xcd, 0xcd, 0xcd, 0xcd, 0xcc,

			0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcb,

			0xcb, 0xcb, 0xcb, 0xcb, 0xcb, 0xcb, 0xcb, 0xca,

			0xca, 0xca, 0xca, 0xca, 0xca, 0xca, 0xca, 0xc9,

			0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc9, 0xc8,

			0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc8, 0xc7,

			0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc6,

			0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc5,

			0xc5, 0xc5, 0xc5, 0xc5, 0xc5, 0xc5, 0xc5, 0xc4,

			0xc4, 0xc4, 0xc4, 0xc4, 0xc4, 0xc4, 0xc4, 0xc3,

			0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc2,

			0xc2, 0xc2, 0xc2, 0xc2, 0xc2, 0xc2, 0xc2, 0xc1,

			0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc1, 0xc0,

			0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xbf,

			0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf,

			0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbf, 0xbe,

			0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe,

			0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbe, 0xbd,

			0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd,

			0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbd, 0xbc,

			0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc,

			0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbc, 0xbb,

			0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb,

			0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xbb, 0xba,

			0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba,

			0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xb9,

			0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9,

			0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb9, 0xb8,

			0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8,

			0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb8, 0xb7,

			0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7,

			0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb7, 0xb6,

			0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6,

			0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb6, 0xb5,

			0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5,

			0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb5, 0xb4,

			0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4,

			0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb4, 0xb3,

			0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3,

			0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb3, 0xb2,

			0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2,

			0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb2, 0xb1,

			0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1,

			0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb1, 0xb0,

			0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0,

			0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xaf,

			0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf,

			0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf,

			0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf,

			0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xaf, 0xae,

			0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae,

			0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae,

			0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae,

			0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xae, 0xad,

			0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad,

			0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad,

			0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad,

			0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xad, 0xac,

			0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac,

			0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac,

			0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac,

			0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xab,

			0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab,

			0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab,

			0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab,

			0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xab, 0xaa,

			0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,

			0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,

			0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa,

			0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xaa, 0xa9,

			0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9,

			0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9,

			0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9,

			0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa9, 0xa8,

			0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8,

			0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8,

			0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8,

			0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa7,

			0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7,

			0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7,

			0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7,

			0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa7, 0xa6,

			0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6,

			0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6,

			0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6,

			0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa6, 0xa5,

			0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5,

			0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5,

			0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5,

			0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa5, 0xa4,

			0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4,

			0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4,

			0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4,

			0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa4, 0xa3,

			0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3,

			0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3,

			0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3,

			0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa3, 0xa2,

			0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2,

			0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2,

			0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2,

			0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa2, 0xa1,

			0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1,

			0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1,

			0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1,

			0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa1, 0xa0,

			0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0,

			0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0,

			0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0,

			0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0xa0, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f,

			0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9f, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e,

			0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9e, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d,

			0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9d, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c,

			0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b,

			0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9b, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a,

			0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x9a, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99,

			0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x99, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98,

			0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x98, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97,

			0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x97, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96,

			0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x96, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95,

			0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x95, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94,

			0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x94, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93,

			0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x93, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92,

			0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x92, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91,

			0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x91, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90,

			0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x90, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f,

			0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8f, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e,

			0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8e, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d,

			0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8d, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c,

			0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8c, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b,

			0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8b, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a,

			0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x8a, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89,

			0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x89, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88,

			0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87,

			0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x87, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86,

			0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x86, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85,

			0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x85, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,

			0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83,

			0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x83, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82,

			0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,

			0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

			0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,

		};
	
	@Override
	int encode(byte[] pcmSample, int nSrcOffset, int nSampleLen, byte[] dstBuf, int nDstOffset)
	{
		short nSrcData = 0;
		int   nLength  = nSampleLen >> 1;
		
		for (int i = 0; i < nSampleLen; i += 2)
		{
			nSrcData = (short) (((pcmSample[nSrcOffset + i] & 0xff) | (pcmSample[nSrcOffset + i + 1] & 0xff) << 8) & 0x0ffff);
			dstBuf[nDstOffset + (i >> 1)] = linear2ulaw(nSrcData);
		}
		
		return nLength;
	}

	private byte linear2ulaw(short l)
	{
		byte nMask = 0;

		nMask = (byte) ((l<0) ? 0x7f : 0xff);

		if (l<0)
		{
			l = (l == -32768) ? 1 : (short) -l;
		}
		
		if (l<4)
		{
			return (byte) (0xff & nMask);
		}
		
		l -= 4;
		l >>= 3;

		return (byte) (_l2u[l] & nMask);
	}
}
