﻿package com.mm.android.audiorecord;

import android.media.AudioFormat;
import android.media.AudioManager;
import android.media.AudioTrack;
import android.os.Build;

public class SFAudioTrack
{
	private AudioTrack mAudioTrack;
	private boolean isInit = false;
	
	/**
	 * 初始化
	 * @param sampleRateInHz
	 * @param channelConfig
	 * @param audioFormat
	 * @param audioSessionId
	 */
	public void init(int sampleRateInHz, int channelConfig, int audioFormat,int audioSessionId)
	{
		int playBufSize = AudioTrack.getMinBufferSize(sampleRateInHz,channelConfig, audioFormat); 
		
		if(Build.VERSION.SDK_INT >= 10 && audioSessionId != -1)
		{
			mAudioTrack = new AudioTrack(AudioManager.STREAM_MUSIC, sampleRateInHz,
					AudioFormat.CHANNEL_OUT_MONO, AudioFormat.ENCODING_PCM_16BIT,
					playBufSize, AudioTrack.MODE_STREAM,audioSessionId);
		}
		else
		{
			mAudioTrack = new AudioTrack(AudioManager.STREAM_MUSIC, sampleRateInHz,
					AudioFormat.CHANNEL_OUT_MONO, AudioFormat.ENCODING_PCM_16BIT,
					playBufSize, AudioTrack.MODE_STREAM);
		}
		isInit = true;
	}
	
	public void init(int sampleRateInHz, int channelConfig, int audioFormat)
	{
		init(sampleRateInHz, channelConfig, audioFormat, -1);
	}
	
	public void stop()
	{
		isInit = false;
		mAudioTrack.stop();
		mAudioTrack.release();
	}
	
	public boolean isInit()
	{
		return isInit;
	}
	
	public void write(byte[] b,int offset,int length)
	{
		if(isInit)
		{
			mAudioTrack.write(b, offset, length);
		}
	}
	
	public void play()
	{
		if(mAudioTrack!=null)
		{
			mAudioTrack.play();
		}
	}
	
}
