﻿package com.mm.android.avplaysdk;

import com.mm.android.avplaysdk.engine.EngineModel;
import com.mm.android.avplaysdk.engine.PlayGroup;
import com.mm.android.avplaysdk.indexer.FileDataSource;
import com.mm.android.avplaysdk.nativeplayer.NativePlayer;


public class AVFilePlayer extends AVPlayer
{
	private FileDataSource m_fileDataSource = null;
	private PlayGroup	   m_playGroup	  = null;
	
	
	public AVFilePlayer(String strFileName)
	{
		m_fileDataSource = new FileDataSource(strFileName);
		m_playGroup		 = new PlayGroup();
	}
	
	
	@Override
	public void onListInfo(int nListSize)
	{
		if (nListSize <= 3)
		{
			EngineModel.instance().notifySendData(this);
		}
	}

	@Override
	public boolean play(IPlayView playView, IPlayListener playListener)
	{
		m_playGroup.setPlayer(this);
		m_playGroup.setDataSource(m_fileDataSource);
		EngineModel.instance().addPlayGroup(m_playGroup);
		m_fileDataSource.setPlayListener(playListener);
		if (!m_fileDataSource.start())
		{
			return false;
		}
		EngineModel.instance().start(ENGINE_MIN_THRESHOLD);
		
		return super.play(playView, playListener);
	}

	@Override
	public boolean stop()
	{
		// TODO Auto-generated method stub
		m_fileDataSource.stop();
		m_fileDataSource.setPlayListener(null);
		EngineModel.instance().removePlayGroup(m_playGroup);
		m_fileDataSource.destroy();
		
		return super.stop();
	}
	
	@Override
	public void onPlayPosition(int nCurTime)
	{
		m_playListener.onPlayPosition(this, m_fileDataSource.getStartTime(), m_fileDataSource.getEndTime(), nCurTime);
	}
	
	@Override
	public boolean setPlayPos(int nPlayTime)
	{
		NativePlayer.clearPlayList(m_nativePlayer);
		NativePlayer.clearIndexList(m_fileDataSource.getIndexer().getIndexer());
		m_fileDataSource.setPlayPos(nPlayTime);
		
		return super.setPlayPos(nPlayTime);
	}
}
