﻿package com.mm.android.avplaysdk;

import com.mm.android.avplaysdk.AVPlaySDK.AV_FILE_HEADER;
import com.mm.android.avplaysdk.engine.EngineModel;
import com.mm.android.avplaysdk.engine.PlayGroup;
import com.mm.android.avplaysdk.indexer.NetDataSource;
import com.mm.android.avplaysdk.nativeplayer.NativePlayer;


public class AVPlayBackPlayer extends AVPlayer
{
	private NetDataSource m_netDataSource = null;
	private PlayGroup	  m_playGroup	  = null;
	
	
	public AVPlayBackPlayer(AV_FILE_HEADER fileHead, IInputDataListener inputDataListener)
	{
		m_netDataSource = new NetDataSource(inputDataListener);
		m_playGroup		= new PlayGroup();
	}

	public boolean inputData(byte[] streamData, int nOffset, int nDataLen)
	{
		return NativePlayer.inputStream(m_netDataSource.getIndexer().getIndexer(), streamData, nOffset, nDataLen);
	}
	
	@Override
	public void onListInfo(int nListSize)
	{
//		System.out.println("onListInfo " + nListSize);
		
		if (nListSize <= 3)
		{
			EngineModel.instance().notifySendData(this);
		}
	}

	@Override
	public boolean play(IPlayView playView, IPlayListener playListener)
	{
		// TODO Auto-generated method stub
		m_playGroup.setPlayer(this);
		m_playGroup.setDataSource(m_netDataSource);
		EngineModel.instance().addPlayGroup(m_playGroup);
		EngineModel.instance().start(ENGINE_MIN_THRESHOLD);
		
		return super.play(playView, playListener);
	}

	@Override
	public boolean stop()
	{
		// TODO Auto-generated method stub
		EngineModel.instance().removePlayGroup(m_playGroup);
		
		m_netDataSource.destroy();
		
		return super.stop();
	}
	
	@Override
	public boolean setPlayPos(int nPlayTime)
	{
		NativePlayer.clearIndexList(m_netDataSource.getIndexer().getIndexer());
		NativePlayer.clearPlayList(m_nativePlayer);
		
		
		return super.setPlayPos(nPlayTime);
	}
}
