﻿package com.mm.android.avplaysdk;

/**
 * 播放窗口的公共接口，目前播放窗口支持两种，一种是BasicGLSurfaceView，另一种是BasicSurfaceView，
 * 在客户端创建好窗口之后，开始播放之前，应该先调用init来初始化窗口，销毁窗口之前调用uninit来释放
 * 相关资源
 * 
 *
 */
public interface IPlayView
{
	/**
	 * 初始化显示View，在开始播放之前
	 * @param viewListener 当窗口中发生某些异常时会通过此接口回调
	 * @return 成功返回true，失败返回false
	 */
	public boolean init(IViewListener viewListener);
	
	/**
	 * 反初始化，View被Destroy时调用
	 */
	public void uninit();
	
	// 请求显示一帧图像
	public void render();
	
	// 设置native的player，显示的时候需要
	public void setPlayer(AVPlayer avPlayer);
	
	// 开始显示
	public boolean start();
	
	// 停止显示，一定要等到显示线程退出
	public boolean stop();
	
	// 抓图
//	public boolean snapPicture(String strFileName, int nQuality);
	
	// 设置是否需要显示
	public void enableRender(boolean bRender);
	
	public boolean getEnableRender();
	
	// 是否按帧播放
	public void setFrameMode(boolean bFrame);
}
