﻿package com.mm.android.avplaysdk.decoder;

/**
 * $Id: Decoder.java 1964 2015-11-03 08:38:09Z hu_danyuan $
 * 
 * Created by hu_danyuan on 2014-10-29.
 * (c) Copyright 2014,  hu_danyuan
 *							All Rights Reserved
 *
 * 描	述：解码器
 */
import com.mm.android.avplaysdk.param.AVFrameInfo;

public class Decoder
{
	/************************native method******************************/
	public native long createDecoder();
	public native void destroyDecoder(long decoder);
	public native boolean decode(long decoder, AVFrameInfo frameInfo, byte[] data, DecodedData decodedData);
	/*******************************************************************/
	
	private long mNativeDecoder = 0;
	
	/**
	 * 创建视频解码器
	 */
	public Decoder()
	{
		mNativeDecoder = createDecoder();
	}
	
	/**
     * 销毁解码器
     */
	public void destroy() 
	{
		if (mNativeDecoder != 0)
		{
			destroyDecoder(mNativeDecoder);
		}
	}
	
	/**
	 * 解码，一个实例不支持同时解码，要同时解码需要创建多个Decoder
	 * @param frameInfo-AV码流数据句柄
	 * @return 成功返回解码后的信息，失败返回null
	 */
	public DecodedData decode(AVFrameInfo frameInfo)
	{
		if (mNativeDecoder == 0)
		{
			return null;
		}
		
		DecodedData decodedData = new DecodedData();
		boolean bRet = decode(mNativeDecoder, frameInfo, frameInfo.lpPrimalData, decodedData);
		if (!bRet)
		{
			decodedData = null;
		}
		return decodedData;
	}
}
