﻿package com.mm.android.avplaysdk.indexer;

import com.mm.android.avplaysdk.IInputDataListener;

public class DataSource
{
	protected PlayBackIndex 	 m_indexPlay 		 = null;		// 播放索引
	private	  IInputDataListener m_inputDataListener = null;		// 通知数据模块向索引模块送数据
	
	public DataSource(IInputDataListener inputDataListener)
	{
		m_inputDataListener = inputDataListener;
		init();
	}
	
	public DataSource()
	{
		init();
	}
	
	public PlayBackIndex getIndexer()
	{
		return m_indexPlay;
	}
	
	public void destroy()
	{
		m_indexPlay.destroy();
	}
	
	public void notifyInputData(int nRemainTime)
	{
		m_inputDataListener.notifyInputData(nRemainTime);
	}
	
	private void init()
	{
		m_indexPlay = new PlayBackIndex();
	}
}
