﻿package com.mm.android.avplaysdk.param;


/**
 * $Id: AVFrameInfo.java 1211 2014-10-30 05:14:31Z hu_danyuan $
 * 
 * Created by hu_danyuan on 2014-7-8.
 * (c) Copyright 2014,  hu_danyuan
 *							All Rights Reserved
 *
 * 描	述：码流帧数据
 */
public class AVFrameInfo
{
	/**********************FrameType**************************/
	public static final int UNKNOW_FRAME			= 0;
	public static final int NOT_SUPPORT_VIDEO_FRAME	= 1;
	public static final int VIDEO_FRAME				= 2;
	public static final int AUDIO_FRAME				= 3;
	public static final int DATA_FRAME				= 4;
	/***************************************************************/

	/**********************FrameStatusFlag**************************/
	public static final int FSF_INVALID = -1;	// 无效帧
	public static final int FSF_VALID	= 0;	// 有效帧
	/***************************************************************/
	
	public int 	eFrameStatus;	// FrameStatusFlag
	public int 	nSequence;		// 帧序号
	public long nTimeStamp;		// 时间戳
	public long nRenderTime;	// 该帧被播放的持续时间
	public int 	nDateTime;		// 当前播放的时间
	public int 	nFrameType;		// FrameType

	public AVVideoFrameInfo videoFrameInfo;
	public AVAudioFrameInfo audioFrameInfo;

	public byte[]	  lpFrameData;						// 指向帧数据的指针
	public byte[] 	  lpPrimalData;						// 指向原始数据的指针
	public int	  	  nLength;							// 带帧头帧尾的长度
	public int   	  nHeadLength;						// 帧头长度
	public AVDateTime dateTime;							// 每一帧的具体时间，精确到秒	
}
