﻿package com.mm.android.avplaysdk.render;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;

import com.mm.android.avplaysdk.AVPlayer;
import com.mm.android.avplaysdk.IPlayView;
import com.mm.android.avplaysdk.IViewListener;
import com.mm.android.avplaysdk.nativeplayer.NativePlayer;


import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Bitmap.Config;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.PorterDuff.Mode;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class BasicSurfaceView extends SurfaceView implements SurfaceHolder.Callback, IPlayView
{
	private SurfaceHolder mHolder;
	//private long mPlayer = 0; // 播放器句柄
	int[] videoInfo = new int[3]; // 视频信息
	private Paint mPaint;
	private int mWidth;
	private int mHeight;
	private int mVideoWidth = 0;
	private int mVideoHeight = 0;
	private ByteBuffer mRgbSource;
	private int mTextureSize;
	private Bitmap mBitmap;
	private boolean isOnDraw;
	private boolean isSelect = false;
	private int extHeight;
	public boolean mNeedCamera = false;
	private byte[] mStopEvent = new byte[0];
	private boolean mChange = false;
	private Rect mWindRect; // UI画布锁定大小
	private Rect mRect; // 视频原始大小
	private RectF mRectF; // 绘画窗口大小
	// private Canvas canvas;
	//private Handler mHandler;
	private boolean mSnapShot = false;
	private boolean mStop = false;
//	private boolean m_bFrameMode = false;
	private final static String NAMESPACE = "http://schemas.android.com/apk/res/android";
	
	private IViewListener m_viewListener = null;
	private AVPlayer	  m_avPlayer	 = null;
	private byte[]		  m_snapShotLock = new byte[0];
	private String		  m_strFileName  = null;
	private int			  m_nQuality	 = 0;
//	private int			  m_nErrCode	 = AVPlaySDK.AVPLAY_ERROR;
	private boolean		  m_bRender		 = true;
	
	private Matrix	      mMatrix = new Matrix();					//用于EPTZ缩放的矩阵

	public BasicSurfaceView(Context context)
	{
		super(context);
	}

	public BasicSurfaceView(Context context, AttributeSet attrs)
	{
		super(context, attrs);
		mHolder = this.getHolder();
		mPaint = new Paint();
		mPaint.setColor(Color.BLACK);
		mPaint.setDither(true);
		mPaint.clearShadowLayer();
		mPaint.setFilterBitmap(true);
		mHolder.addCallback(this);
		mTextureSize = 352;
		mWidth = attrs.getAttributeIntValue(NAMESPACE, "layout_width", 238);
		mHeight = attrs.getAttributeIntValue(NAMESPACE, "layout_height", 238);
		mWindRect = new Rect(0, 0, mWidth, mHeight);
	}

	public void snapShot()
	{
		new Thread() {
			public void run()
			{
				if (android.os.Environment.getExternalStorageState().equals(android.os.Environment.MEDIA_MOUNTED)) // 判断SD卡是否已存在
				{
					FileOutputStream outputStream = null;
					try
					{
						String strDir = m_strFileName.substring(0, m_strFileName.lastIndexOf('/'));
						File fPath = new File(strDir);
						if (!fPath.exists())
						{
							if (!fPath.mkdir())
							{
//								m_nErrCode = AVPlaySDK.AVPLAY_FILE_ERROR;
								return;
							}
						}
						
						
						
						
//						java.util.Date now = new java.util.Date();
//						SimpleDateFormat df = new SimpleDateFormat("yyyyMMddHHmmss");
//						String filePath = "/sdcard/snapshot/";
//						File fPath = new File(filePath);
//						if (!fPath.exists())
//						{
//							boolean bRet = fPath.mkdir();
//							if (!bRet)
//							{
//								mSnapShot = false;
//								mHandler.sendEmptyMessage(1); // 通知UI提示用户
//								return;
//							}
//						}
//						String fileName = filePath + df.format(now)+ ".jpg";
						
						File inFile = new File(m_strFileName);
						outputStream = new FileOutputStream(inFile);
						if (mBitmap.compress(CompressFormat.JPEG, m_nQuality, outputStream))
						{
//							m_nErrCode = AVPlaySDK.AVPLAY_OK;
//							Message m = mHandler.obtainMessage();
//							Bundle b  = new Bundle();
//
//							b.putString("ok", inFile.toString());
//							m.setData(b);
//							mHandler.sendMessage(m);
						}
//						else
//						{
//							Log.d("aa", "sdCard full");
//							inFile.delete();
//							mHandler.sendEmptyMessage(1);
//						}
					} catch (FileNotFoundException e)
					{
						//mHandler.sendEmptyMessage(1);
						e.printStackTrace();
					} catch (Exception e)
					{
						//mHandler.sendEmptyMessage(1);
						e.printStackTrace();
					} finally
					{
						try
						{
							if (outputStream != null)
							{
								outputStream.close();
							}
						} catch (IOException e)
						{
							e.printStackTrace();
						}
					}
				} else
				{
					//mHandler.sendEmptyMessage(2); // 通知UI提示用户
//					m_nErrCode = AVPlaySDK.AVPLAY_NO_SDCARD;
				}
				
				synchronized (m_snapShotLock)
				{
					m_snapShotLock.notify();
				}
			}
		}.start();
	}

//	public long getmPlayer()
//	{
//		return mPlayer;
//	}
//
//	public void setmPlayer(long mPlayer)
//	{
//		this.mPlayer = mPlayer;
//	}

//	public void setHandler(Handler handler)
//	{
//		this.mHandler = handler;
//	}

	@Override
	public void surfaceCreated(SurfaceHolder holder)
	{
		Log.d("surface", "surfaceCreated : old holder " + mHolder);
		Log.d("surface", "surfaceCreated: new holder " + holder);
	}

	@Override
	public void surfaceChanged(SurfaceHolder holder, int format, int width,
			int height)
	{
		if (width != 0 && height != 0)
		{
			mWidth = width;
			mHeight = height;
			mChange = true;
		}
		mWindRect = new Rect(0, 0, mWidth, mHeight);
		if (mBitmap != null && mRectF != null)
		{
			Canvas canvas = mHolder.lockCanvas(mWindRect);
			Paint paint = new Paint();
			paint.setXfermode(new PorterDuffXfermode(Mode.SRC));
			canvas.setMatrix(mMatrix);
			canvas.drawBitmap(mBitmap, mRect, mWindRect, paint);
			mHolder.unlockCanvasAndPost(canvas);
		}
	}

	@Override
	public void surfaceDestroyed(SurfaceHolder holder)
	{
		Log.d("surface", "surfaceDestroyed");
	}

	public void stopRender()
	{
		synchronized (mStopEvent)
		{
			try
			{
				mStop = true;
				if (m_bRender)
				{
					mStopEvent.wait();
				}
			} catch (InterruptedException e)
			{
				e.printStackTrace();
			}
		}
	}

	public void startRender()
	{
		mStop = false;
	}

	public synchronized void myDraw()
	{
		if (mStop)
		{
			synchronized (mStopEvent)
			{
				mStopEvent.notify();
			}
			Canvas canvas = mHolder.lockCanvas(mWindRect);
			if(canvas != null)
			{
				Paint nPaint = new Paint();
				nPaint.setAntiAlias(true);
				nPaint.setStyle(Style.STROKE);
				nPaint.setXfermode(new PorterDuffXfermode(Mode.CLEAR));
				canvas.drawPaint(nPaint);
				mHolder.unlockCanvasAndPost(canvas);
			}
			mRgbSource = null;
			
			if(mBitmap != null)
			{
				mBitmap.recycle();
				mBitmap = null;
			}
			return;
		}
		
		if (mRgbSource == null)
		{
			mRgbSource = ByteBuffer.allocate(mTextureSize * mTextureSize * 4);
		}
		
		int iRGBLen = NativePlayer.decodeOneVideoFrame(m_avPlayer.getNativePlayer(), mRgbSource.array(), videoInfo, m_bRender);
		
		if (!m_bRender)
		{
			return;
		}
		
		if (iRGBLen > 0)
		{
			Canvas canvas = null;
			try
			{
				canvas = mHolder.lockCanvas(mWindRect);
				if (null == canvas)
				{
					return;
				}
				
				boolean notified = false;
				if (mBitmap == null)
				{
					if (mVideoWidth != videoInfo[0] || mVideoHeight != videoInfo[1])
					{
						mVideoWidth  = videoInfo[0];
						mVideoHeight = videoInfo[1];
						notified = true;
						if (m_avPlayer != null)
						{
							m_avPlayer.onVideoInfo(IRenderListener.INFO_TYPE_RESOLUTION_CHANGED, 0, mVideoWidth, mVideoHeight, 0);
						}
					}
					mRect = new Rect(0, 0, mVideoWidth, mVideoHeight);
					mRectF = new RectF(0, 0, mWidth, mHeight);
					mBitmap = Bitmap.createBitmap(mVideoWidth, mVideoHeight,
							Config.ARGB_8888);
				}
				if (mVideoWidth != videoInfo[0] || mVideoHeight != videoInfo[1])
				{
					mVideoWidth = videoInfo[0];
					mVideoHeight = videoInfo[1];
					if (!notified)
					{
						if (m_avPlayer != null)
						{
							m_avPlayer.onVideoInfo(IRenderListener.INFO_TYPE_RESOLUTION_CHANGED, 0, mVideoWidth, mVideoHeight, 0);
						}
					}
					mRect = new Rect(0, 0, mVideoWidth, mVideoHeight);
					mBitmap.recycle();
					mBitmap = null;
					mBitmap = Bitmap.createBitmap(mVideoWidth, mVideoHeight,
							Config.ARGB_8888);
				}
				if (mChange)
				{
					mRectF = new RectF(0, 0, mWidth, mHeight);
					mChange = false;
				}
				canvas.drawRect(mRectF, mPaint);
				mBitmap.copyPixelsFromBuffer(mRgbSource);
				mRgbSource.position(0);   //在Android 4.2及更高版本上需要手动将buffer位置置0
				canvas.setMatrix(mMatrix);
				canvas.drawBitmap(mBitmap, mRect, mRectF, mPaint);

			} catch (OutOfMemoryError e)
			{
				//mHandler.sendEmptyMessage(3);
				if (m_viewListener != null)
					m_viewListener.onViewMessage(IViewListener.MSG_TYPE_NOT_ENOUGH_MEMORY, this, 0);
				e.printStackTrace();
				System.gc();
			} finally
			{
				if (canvas != null)
				{
					mHolder.unlockCanvasAndPost(canvas);
				}
			}
		} else if (iRGBLen < 0)
		{
			try
			{
				mRgbSource = ByteBuffer.allocate(videoInfo[0] * videoInfo[1] * 4);
			} catch (OutOfMemoryError e)
			{
				mStop 	   = true;
				mRgbSource = null;
				if (m_viewListener != null)
					m_viewListener.onViewMessage(IViewListener.MSG_TYPE_NOT_ENOUGH_MEMORY, this, 0);
				System.gc();
			}
			Log.d("aa", "source not enough");
		} else
		{
			if (mChange)
			{
				mRectF = new RectF(0, 0, mWidth, mHeight);
			}
			Canvas canvas = null;
			try
			{
				canvas = mHolder.lockCanvas(mWindRect);
				if (canvas != null)
				{
					canvas.drawRect(mRectF, mPaint);
					if (mBitmap != null)
					{
						canvas.setMatrix(mMatrix);
						canvas.drawBitmap(mBitmap, mRect, mRectF, mPaint);
					}
				}
			} catch (Exception e)
			{
				e.printStackTrace();
			} finally
			{
				if (canvas != null)
				{
					mHolder.unlockCanvasAndPost(canvas);
				}
			}
		}

		if (mSnapShot)
		{
			mSnapShot = false;
			
			snapShot();
		}
	}

	public boolean isOnDraw()
	{
		return isOnDraw;
	}

	public void setOnDraw(boolean isOnDraw)
	{
		this.isOnDraw = isOnDraw;
	}

	public boolean isSelect()
	{
		return isSelect;
	}

	public void setSelect(boolean isSelect)
	{
		this.isSelect = isSelect;
	}

	public int getExtHeight()
	{
		return extHeight;
	}

	public void setExtHeight(int extHeight)
	{
		this.extHeight = extHeight;
	}

	public void scale(float scale)
	{
		if (mMatrix != null)
		{
//			float[] values = new float[9];
//			mMatrix.getValues(values);
//			float cX = values[Matrix.MTRANS_X] + mWindRect.width()*values[Matrix.MSCALE_X]/2;
//			float cY = values[Matrix.MTRANS_Y] + mWindRect.height()*values[Matrix.MSCALE_Y]/2;
//			mMatrix.preTranslate(-cX, -cY);
//			mMatrix.preScale(scale, scale);
//			mMatrix.getValues(values);
//			mMatrix.preTranslate(cX,cY);
		}
	}
	
	public void preScale(float scale)
	{
		
	}
	
	public void translate( float x, float y)
	{
		
	}

	public void setIdentity()
	{
		
	}
	
	public void startEPTZ()
	{
		
	}
	public void stopEPTZ()
	{
		
	}
	public float getScale()
	{
		
		return -1;
	}
	
	public float getTranslateX()
	{
		
		return -1;
	}	
	
	public float getTranslateY()
	{
		
		return -1;
	}
	
	
	@Override
	public boolean init(IViewListener viewListener)
	{
		if (null == viewListener)
		{
			return false;
		}
		
		m_viewListener = viewListener;
		
		return true;
	}

	@Override
	public void render()
	{
		// TODO Auto-generated method stub
		myDraw();
	}

	@Override
	public void setPlayer(AVPlayer avPlayer)
	{
		// TODO Auto-generated method stub
		m_avPlayer = avPlayer;
	}

	@Override
	public boolean stop()
	{
		// TODO Auto-generated method stub
		stopRender();
		
		return true;
	}

	@Override
	public void enableRender(boolean bRender)
	{
		m_bRender = bRender;
	}

	@Override
	public boolean start()
	{
		startRender();
		
		return true;
	}

	@Override
	public void uninit()
	{
		clear();
	}
	
	private void clear()
	{
		mRgbSource = null;
	}

	@Override
	public void setFrameMode(boolean bFrame) {
//		m_bFrameMode = bFrame;
	}

	@Override
	public boolean getEnableRender() {
		return m_bRender;
	}
	
}
