﻿package com.mm.android.avplaysdk.render;

public interface IRenderListener
{
	public final static int INFO_TYPE_FRAME_UPDATE 			   = 0;
	public final static int INFO_TYPE_TIME_UPDATE	 		   = 1;
	public final static int INFO_TYPE_NOT_SUPPORT_VIDEO_FORMAT = 2;
	public final static int INFO_TYPE_RESOLUTION_CHANGED	   = 3;
	public final static int INFO_TYPE_FRAME_RATE_CHANGED	   = 4;
	
	public final static int FUNC_TYPE_RECORDER = 1;
	public final static int ERR_RECORDER_INIT 		= -1;		// 录像器初始化失败 //
	public final static int ERR_RECORDER_WRITE		= -2; 		// 写录像失败，可能磁盘空间不够 //
	public final static int ERR_RECORDER_UNKNOWN_DATA	= -3; 	// 写录像失败，不识别的数据 //
	
	// 视频信息
	void onVideoInfo(int nInfoType, int nFrameRate, int nWidth, int nHeight, int nTime);
	
	// 音频信息
	void onAudioInfo(int nChannels, int nBitsPerSample, int nSamplesPerSecond, int nChannelID);
	
	// 解码后的音频数据
	void onAudioData(byte[] audioData, int nOffset, int nDataLen, int nChannelID);
	
	// 解码前的帧数据，可以用来录像
	void onFrameData(byte[] avData, int nOffset, int nLen);
	
	// 播放队列大小
	void onListInfo(int nListSize);
	
	// 丢帧时调用
	void onLostFrame();
	
	// 播放进度
	void onPlayPosition(int nCurTime);
	
	// 错误消息
	void onError(int nFuncType, int nErrCode, String sErrMsg);
}
