package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappCreateAppParam extends AbstractAPIRequest<UmengUappCreateAppResult> {

    public UmengUappCreateAppParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.createApp", 1);
    }

    private String name;

    /**
     * @return 名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String type;

    /**
     * @return 类型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置类型     *
     * 参数示例：<pre>app:应用;</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String platform;

    /**
     * @return 平台
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * 设置平台     *
     * 参数示例：<pre>iphone:iPhone; ipad:iPad; android:Android; wphone:WinPhone; h5app:HTML5;</pre>     
     * 此参数必填
     */
    public void setPlatform(String platform) {
        this.platform = platform;
    }

    private String language;

    /**
     * @return 语言
     */
    public String getLanguage() {
        return language;
    }

    /**
     * 设置语言     *
     * 参数示例：<pre>CN:中文; OTHER:其他</pre>     
     * 此参数必填
     */
    public void setLanguage(String language) {
        this.language = language;
    }

    private String firstLevel;

    /**
     * @return 一级分类，帮助文档：https://developer.umeng.com/docs/119267/detail/183761
     */
    public String getFirstLevel() {
        return firstLevel;
    }

    /**
     * 设置一级分类，帮助文档：https://developer.umeng.com/docs/119267/detail/183761     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFirstLevel(String firstLevel) {
        this.firstLevel = firstLevel;
    }

    private String secondLevel;

    /**
     * @return 二级分类，帮助文档同上
     */
    public String getSecondLevel() {
        return secondLevel;
    }

    /**
     * 设置二级分类，帮助文档同上     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSecondLevel(String secondLevel) {
        this.secondLevel = secondLevel;
    }

    private String description;

    /**
     * @return 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
