package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappEventCreateParam extends AbstractAPIRequest<UmengUappEventCreateResult> {

    public UmengUappEventCreateParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.event.create", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String eventName;

    /**
     * @return 自定义事件名（英文和数字，不允许特殊符号?/.\<>）
     */
    public String getEventName() {
        return eventName;
    }

    /**
     * 设置自定义事件名（英文和数字，不允许特殊符号?/.\<>）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    private String eventDisplayName;

    /**
     * @return 自定义事件显示名（中文，英文和数字，不允许特殊符号?/.\<>）
     */
    public String getEventDisplayName() {
        return eventDisplayName;
    }

    /**
     * 设置自定义事件显示名（中文，英文和数字，不允许特殊符号?/.\<>）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventDisplayName(String eventDisplayName) {
        this.eventDisplayName = eventDisplayName;
    }

    private Boolean eventType;

    /**
     * @return true  计算事件（数值型），用于统计数值型变量的累计值、均值及分布。false  计数事件（字符串型），用于统计字符串型变量的消息数及触发设备数。
     */
    public Boolean getEventType() {
        return eventType;
    }

    /**
     * 设置true  计算事件（数值型），用于统计数值型变量的累计值、均值及分布。false  计数事件（字符串型），用于统计字符串型变量的消息数及触发设备数。     *
     * 参数示例：<pre>false</pre>     
     * 此参数为可选参数
     * 默认值：<pre>false</pre>
     */
    public void setEventType(Boolean eventType) {
        this.eventType = eventType;
    }

}
