package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappEventListParam extends AbstractAPIRequest<UmengUappEventListResult> {

    public UmengUappEventListParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.event.list", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String startDate;

    /**
     * @return 查询起始日期
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置查询起始日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 查询截止日期
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置查询截止日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private Integer perPage;

    /**
     * @return 每页显示数量（最大100）
     */
    public Integer getPerPage() {
        return perPage;
    }

    /**
     * 设置每页显示数量（最大100）     *
     * 参数示例：<pre>10</pre>     
     * 此参数为可选参数
     * 默认值：<pre>10</pre>
     */
    public void setPerPage(Integer perPage) {
        this.perPage = perPage;
    }

    private Integer page;

    /**
     * @return 页数
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置页数     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre>1</pre>
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private String version;

    /**
     * @return 应用版本号
     */
    public String getVersion() {
        return version;
    }

    /**
     * 设置应用版本号     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setVersion(String version) {
        this.version = version;
    }

}
