package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappEventParamGetDataParam extends AbstractAPIRequest<UmengUappEventParamGetDataResult> {

    public UmengUappEventParamGetDataParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.event.param.getData", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String startDate;

    /**
     * @return 查询起始日期
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置查询起始日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 查询截止日期
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置查询截止日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private String eventName;

    /**
     * @return 自定义事件名称（通过umeng.uapp.event.list获取）
     */
    public String getEventName() {
        return eventName;
    }

    /**
     * 设置自定义事件名称（通过umeng.uapp.event.list获取）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    private String eventParamName;

    /**
     * @return 自定义事件参数名称（通过umeng.uapp.event.param.list获取）
     */
    public String getEventParamName() {
        return eventParamName;
    }

    /**
     * 设置自定义事件参数名称（通过umeng.uapp.event.param.list获取）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventParamName(String eventParamName) {
        this.eventParamName = eventParamName;
    }

    private String paramValueName;

    /**
     * @return 自定义参数值名称（通过umeng.uapp.event.param.getValueList获取）
     */
    public String getParamValueName() {
        return paramValueName;
    }

    /**
     * 设置自定义参数值名称（通过umeng.uapp.event.param.getValueList获取）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParamValueName(String paramValueName) {
        this.paramValueName = paramValueName;
    }

}
