package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappEventParamListParam extends AbstractAPIRequest<UmengUappEventParamListResult> {

    public UmengUappEventParamListParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.event.param.list", 1);
    }

    private String startDate;

    /**
     * @return 查询起始日期
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置查询起始日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 查询截止日期
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置查询截止日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private String eventId;

    /**
     * @return 事件ID（通过umeng.uapp.event.list接口查询得到的ID）
     */
    public String getEventId() {
        return eventId;
    }

    /**
     * 设置事件ID（通过umeng.uapp.event.list接口查询得到的ID）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

}
