package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappGetDurationsParam extends AbstractAPIRequest<UmengUappGetDurationsResult> {

    public UmengUappGetDurationsParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.getDurations", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String date;

    /**
     * @return 查询日期
     */
    public String getDate() {
        return date;
    }

    /**
     * 设置查询日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setDate(String date) {
        this.date = date;
    }

    private String statType;

    /**
     * @return 查询时长统计类型（按天daily，按次daily_per_launch）
     */
    public String getStatType() {
        return statType;
    }

    /**
     * 设置查询时长统计类型（按天daily，按次daily_per_launch）     *
     * 参数示例：<pre>daily</pre>     
     * 此参数为可选参数
     * 默认值：<pre>daily</pre>
     */
    public void setStatType(String statType) {
        this.statType = statType;
    }

    private String channel;

    /**
     * @return 渠道名称（仅限一个App%20Store）
     */
    public String getChannel() {
        return channel;
    }

    /**
     * 设置渠道名称（仅限一个App%20Store）     *
     * 参数示例：<pre>App%20Store</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    private String version;

    /**
     * @return 版本名称（仅限一个1.0.0）
     */
    public String getVersion() {
        return version;
    }

    /**
     * 设置版本名称（仅限一个1.0.0）     *
     * 参数示例：<pre>1.0.0</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setVersion(String version) {
        this.version = version;
    }

}
