package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappGetLaunchesParam extends AbstractAPIRequest<UmengUappGetLaunchesResult> {

    public UmengUappGetLaunchesParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.getLaunches", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String startDate;

    /**
     * @return 查询起始日期
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置查询起始日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 查询截止日期
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置查询截止日期     *
     * 参数示例：<pre>2018-01-01</pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private String periodType;

    /**
     * @return 查询类型（按日daily,按周weekly,按月monthly 查询）
     */
    public String getPeriodType() {
        return periodType;
    }

    /**
     * 设置查询类型（按日daily,按周weekly,按月monthly 查询）     *
     * 参数示例：<pre>daily</pre>     
     * 此参数为可选参数
     * 默认值：<pre>daily</pre>
     */
    public void setPeriodType(String periodType) {
        this.periodType = periodType;
    }

}
