package com.umeng.uapp.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUappGetRetentionsParam extends AbstractAPIRequest<UmengUappGetRetentionsResult> {

    public UmengUappGetRetentionsParam() {
        super();
        oceanApiId = new APIId("com.umeng.uapp", "umeng.uapp.getRetentions", 1);
    }

    private String appkey;

    /**
     * @return 应用ID
     */
    public String getAppkey() {
        return appkey;
    }

    /**
     * 设置应用ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    private String startDate;

    /**
     * @return 查询起始日期（2019-01-01）
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * 设置查询起始日期（2019-01-01）     *
     * 参数示例：<pre>2019-01-01</pre>     
     * 此参数必填
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    private String endDate;

    /**
     * @return 查询截止日期（2019-01-01）
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * 设置查询截止日期（2019-01-01）     *
     * 参数示例：<pre>2019-01-01</pre>     
     * 此参数必填
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    private String periodType;

    /**
     * @return 查询类型（按日daily,按周weekly,按月monthly 查询）
     */
    public String getPeriodType() {
        return periodType;
    }

    /**
     * 设置查询类型（按日daily,按周weekly,按月monthly 查询）     *
     * 参数示例：<pre>daily</pre>     
     * 此参数为可选参数
     * 默认值：<pre>daily</pre>
     */
    public void setPeriodType(String periodType) {
        this.periodType = periodType;
    }

    private String channel;

    /**
     * @return 渠道名称（仅限一个App%20Store）
     */
    public String getChannel() {
        return channel;
    }

    /**
     * 设置渠道名称（仅限一个App%20Store）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    private String version;

    /**
     * @return 版本名称（仅限一个1.0.0）
     */
    public String getVersion() {
        return version;
    }

    /**
     * 设置版本名称（仅限一个1.0.0）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setVersion(String version) {
        this.version = version;
    }

    private String type;

    /**
     * @return newUser(默认):新增用户留存率；activeUser:活跃用户留存率
     */
    public String getType() {
        return type;
    }

    /**
     * 设置newUser(默认):新增用户留存率；activeUser:活跃用户留存率     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setType(String type) {
        this.type = type;
    }

}
