package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiCreateMiniAppParam extends AbstractAPIRequest<UmengUminiCreateMiniAppResult> {

    public UmengUminiCreateMiniAppParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.createMiniApp", 1);
    }

    private String name;

    /**
     * @return 名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置名称     *
     * 参数示例：<pre>应用名称</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String type;

    /**
     * @return 类型（小程序：mini,小游戏：mini_game）
     */
    public String getType() {
        return type;
    }

    /**
     * 设置类型（小程序：mini,小游戏：mini_game）     *
     * 参数示例：<pre>mini</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String platform;

    /**
     * @return 平台( 支付宝小程序：mini_alipay；微信小程序：mini_wechat；天猫精灵：mini_tmall_genie；微信小游戏：mini_game_wechat；字节跳动小程序：mini_bytedance；百度小程序：mini_baidu；QQ小程序：mini_qq )
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * 设置平台( 支付宝小程序：mini_alipay；微信小程序：mini_wechat；天猫精灵：mini_tmall_genie；微信小游戏：mini_game_wechat；字节跳动小程序：mini_bytedance；百度小程序：mini_baidu；QQ小程序：mini_qq )     *
     * 参数示例：<pre>mini_wechat</pre>     
     * 此参数必填
     */
    public void setPlatform(String platform) {
        this.platform = platform;
    }

    private String language;

    /**
     * @return 语言(CN:中文; OTHER:其他)
     */
    public String getLanguage() {
        return language;
    }

    /**
     * 设置语言(CN:中文; OTHER:其他)     *
     * 参数示例：<pre>CN</pre>     
     * 此参数必填
     */
    public void setLanguage(String language) {
        this.language = language;
    }

    private String firstLevel;

    /**
     * @return 一级分类（行业帮助文档：https://developer.umeng.com/docs/147615/detail/169442 ）
     */
    public String getFirstLevel() {
        return firstLevel;
    }

    /**
     * 设置一级分类（行业帮助文档：https://developer.umeng.com/docs/147615/detail/169442 ）     *
     * 参数示例：<pre>公共交通与出行</pre>     
     * 此参数必填
     */
    public void setFirstLevel(String firstLevel) {
        this.firstLevel = firstLevel;
    }

    private String secondLevel;

    /**
     * @return 二级分类
     */
    public String getSecondLevel() {
        return secondLevel;
    }

    /**
     * 设置二级分类     *
     * 参数示例：<pre>公共交通</pre>     
     * 此参数必填
     */
    public void setSecondLevel(String secondLevel) {
        this.secondLevel = secondLevel;
    }

    private String description;

    /**
     * @return 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述     *
     * 参数示例：<pre>描述……</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String miniAppId;

    /**
     * @return 微信/支付宝AppId（不可单独出现，需要和下面参数组队出现）
     */
    public String getMiniAppId() {
        return miniAppId;
    }

    /**
     * 设置微信/支付宝AppId（不可单独出现，需要和下面参数组队出现）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setMiniAppId(String miniAppId) {
        this.miniAppId = miniAppId;
    }

    private String miniAppSecret;

    /**
     * @return 微信AppSecret（miniAppId和miniAppSecret必须成对出现）
     */
    public String getMiniAppSecret() {
        return miniAppSecret;
    }

    /**
     * 设置微信AppSecret（miniAppId和miniAppSecret必须成对出现）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setMiniAppSecret(String miniAppSecret) {
        this.miniAppSecret = miniAppSecret;
    }

    private String miniPublicKey;

    /**
     * @return 支付宝PublicKey（miniAppId、miniPublicKey和miniPrivateKey必须同时出现）
     */
    public String getMiniPublicKey() {
        return miniPublicKey;
    }

    /**
     * 设置支付宝PublicKey（miniAppId、miniPublicKey和miniPrivateKey必须同时出现）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setMiniPublicKey(String miniPublicKey) {
        this.miniPublicKey = miniPublicKey;
    }

    private String miniPrivateKey;

    /**
     * @return 支付宝PrivateKey（miniAppId、miniPublicKey和miniPrivateKey必须同时出现）
     */
    public String getMiniPrivateKey() {
        return miniPrivateKey;
    }

    /**
     * 设置支付宝PrivateKey（miniAppId、miniPublicKey和miniPrivateKey必须同时出现）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setMiniPrivateKey(String miniPrivateKey) {
        this.miniPrivateKey = miniPrivateKey;
    }

    private String integrationType;

    /**
     * @return 集成类型；单应用小程序集成：single、小程序模版类应用集成 ：template
     */
    public String getIntegrationType() {
        return integrationType;
    }

    /**
     * 设置集成类型；单应用小程序集成：single、小程序模版类应用集成 ：template     *
     * 参数示例：<pre>single</pre>     
     * 此参数为可选参数
     * 默认值：<pre>single</pre>
     */
    public void setIntegrationType(String integrationType) {
        this.integrationType = integrationType;
    }

}
