package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetAllPropertyValueCountParam extends AbstractAPIRequest<UmengUminiGetAllPropertyValueCountResult> {

    public UmengUminiGetAllPropertyValueCountParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getAllPropertyValueCount", 1);
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度(可选day)
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度(可选day)     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-03-10</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-03-31</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String propertyName;

    /**
     * @return 属性名
     */
    public String getPropertyName() {
        return propertyName;
    }

    /**
     * 设置属性名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    private Integer pageIndex;

    /**
     * @return 页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre>1</pre>
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页记录数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页记录数     *
     * 参数示例：<pre>30</pre>     
     * 此参数为可选参数
     * 默认值：<pre>30</pre>
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String eventName;

    /**
     * @return 事件名
     */
    public String getEventName() {
        return eventName;
    }

    /**
     * 设置事件名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

}
