package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetCustomerSourceOverviewParam extends AbstractAPIRequest<UmengUminiGetCustomerSourceOverviewResult> {

    public UmengUminiGetCustomerSourceOverviewParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getCustomerSourceOverview", 1);
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String sourceType;

    /**
     * @return 获客来源类型（活动：campaign；场景：scene；渠道：channel ）
     */
    public String getSourceType() {
        return sourceType;
    }

    /**
     * 设置获客来源类型（活动：campaign；场景：scene；渠道：channel ）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    private String fromDate;

    /**
     * @return 开始时间（yyyy-MM-dd)
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间（yyyy-MM-dd)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间（yyyy-MM-dd)
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间（yyyy-MM-dd)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度（day,7day,30day）
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度（day,7day,30day）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String orderBy;

    /**
     * @return 排序指标，默认新增用户（新增用户：newUser；打开次数：launch；活跃用户：activeUser；页面访问次数：visitTimes；次均停留时长：onceDuration；创建时间：createDateTime）
     */
    public String getOrderBy() {
        return orderBy;
    }

    /**
     * 设置排序指标，默认新增用户（新增用户：newUser；打开次数：launch；活跃用户：activeUser；页面访问次数：visitTimes；次均停留时长：onceDuration；创建时间：createDateTime）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    private String direction;

    /**
     * @return 排序方向，默认倒序（正序：asc；倒序：desc）
     */
    public String getDirection() {
        return direction;
    }

    /**
     * 设置排序方向，默认倒序（正序：asc；倒序：desc）     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setDirection(String direction) {
        this.direction = direction;
    }

}
