package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetEventOverviewParam extends AbstractAPIRequest<UmengUminiGetEventOverviewResult> {

    public UmengUminiGetEventOverviewParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getEventOverview", 1);
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-03-10</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-03-31</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String eventName;

    /**
     * @return 事件名
     */
    public String getEventName() {
        return eventName;
    }

    /**
     * 设置事件名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

}
