package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetMultiOverviewParam extends AbstractAPIRequest<UmengUminiGetMultiOverviewResult> {

    public UmengUminiGetMultiOverviewParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getMultiOverview", 1);
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre>1dfe1b2f3597245664499a91</pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String isv;

    /**
     * @return 分组名称
     */
    public String getIsv() {
        return isv;
    }

    /**
     * 设置分组名称     *
     * 参数示例：<pre>isv8</pre>     
     * 此参数必填
     */
    public void setIsv(String isv) {
        this.isv = isv;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-10-10</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-10-31</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度，枚举范围day,7day,30day,week,month（逗号分隔）
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度，枚举范围day,7day,30day,week,month（逗号分隔）     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String groupName;

    /**
     * @return 分组层级(仅支持最低层级)
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置分组层级(仅支持最低层级)     *
     * 参数示例：<pre>门店</pre>     
     * 此参数必填
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

}
