package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetRetentionByDataSourceIdParam extends AbstractAPIRequest<UmengUminiGetRetentionByDataSourceIdResult> {

    public UmengUminiGetRetentionByDataSourceIdParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getRetentionByDataSourceId", 1);
    }

    private String dataSourceId;

    /**
     * @return 数据源ID(appkey)
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源ID(appkey)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String fromDate;

    /**
     * @return 开始时间 yyyy-MM-dd
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间 yyyy-MM-dd     *
     * 参数示例：<pre>2021-01-19</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间 yyyy-MM-dd
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间 yyyy-MM-dd     *
     * 参数示例：<pre>2021-01-01</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度 day,week
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度 day,week     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private Integer pageIndex;

    /**
     * @return 页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页条数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页条数     *
     * 参数示例：<pre>10</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String indicator;

    /**
     * @return 指标：新增用户（newuser） 活跃用户 activeUser
     */
    public String getIndicator() {
        return indicator;
    }

    /**
     * 设置指标：新增用户（newuser） 活跃用户 activeUser     *
     * 参数示例：<pre>activeUser</pre>     
     * 此参数为可选参数
     * 默认值：<pre></pre>
     */
    public void setIndicator(String indicator) {
        this.indicator = indicator;
    }

    private String valueType;

    /**
     * @return 数据类型：留存率（rate) 留存数（num)
     */
    public String getValueType() {
        return valueType;
    }

    /**
     * 设置数据类型：留存率（rate) 留存数（num)     *
     * 参数示例：<pre>rate</pre>     
     * 此参数必填
     */
    public void setValueType(String valueType) {
        this.valueType = valueType;
    }

}
