package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetSceneOverviewParam extends AbstractAPIRequest<UmengUminiGetSceneOverviewResult> {

    public UmengUminiGetSceneOverviewParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getSceneOverview", 1);
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度（可选参数：5min,hour,day,7day,30day）
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度（可选参数：5min,hour,day,7day,30day）     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-03-10</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-03-31</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String scene;

    /**
     * @return 场景值( 帮助文档：https://developer.umeng.com/docs/147615/detail/175369 )
     */
    public String getScene() {
        return scene;
    }

    /**
     * 设置场景值( 帮助文档：https://developer.umeng.com/docs/147615/detail/175369 )     *
     * 参数示例：<pre>alipay_1090</pre>     
     * 此参数必填
     */
    public void setScene(String scene) {
        this.scene = scene;
    }

    private Integer pageIndex;

    /**
     * @return 页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre>1</pre>
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页记录数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页记录数     *
     * 参数示例：<pre>30</pre>     
     * 此参数为可选参数
     * 默认值：<pre>30</pre>
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String indicators;

    /**
     * @return 指标值
     */
    public String getIndicators() {
        return indicators;
    }

    /**
     * 设置指标值     *
     * 参数示例：<pre>多个指标时，以逗号分隔（newUser,activeUser,launch,visitTimes,onceDuration）</pre>     
     * 此参数必填
     */
    public void setIndicators(String indicators) {
        this.indicators = indicators;
    }

}
