package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetShareUserListParam extends AbstractAPIRequest<UmengUminiGetShareUserListResult> {

    public UmengUminiGetShareUserListParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getShareUserList", 1);
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String timeUnit;

    /**
     * @return 时间颗粒度（可选参数：day,7day,30day）
     */
    public String getTimeUnit() {
        return timeUnit;
    }

    /**
     * 设置时间颗粒度（可选参数：day,7day,30day）     *
     * 参数示例：<pre>day</pre>     
     * 此参数必填
     */
    public void setTimeUnit(String timeUnit) {
        this.timeUnit = timeUnit;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-08-10</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-08-10</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private String orderBy;

    /**
     * @return 排序指标(count：分享次数；reflow：分享回流量；newUser：分享新增)
     */
    public String getOrderBy() {
        return orderBy;
    }

    /**
     * 设置排序指标(count：分享次数；reflow：分享回流量；newUser：分享新增)     *
     * 参数示例：<pre></pre>     
     * 此参数为可选参数
     * 默认值：<pre>count</pre>
     */
    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    private String direction;

    /**
     * @return 排序方向（desc：降序,asc：正序）
     */
    public String getDirection() {
        return direction;
    }

    /**
     * 设置排序方向（desc：降序,asc：正序）     *
     * 参数示例：<pre>desc</pre>     
     * 此参数为可选参数
     * 默认值：<pre>desc</pre>
     */
    public void setDirection(String direction) {
        this.direction = direction;
    }

    private Integer pageIndex;

    /**
     * @return 页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre>1</pre>
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页记录数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页记录数     *
     * 参数示例：<pre>30</pre>     
     * 此参数为可选参数
     * 默认值：<pre>30</pre>
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
