package com.umeng.umini.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UmengUminiGetTotalUserParam extends AbstractAPIRequest<UmengUminiGetTotalUserResult> {

    public UmengUminiGetTotalUserParam() {
        super();
        oceanApiId = new APIId("com.umeng.umini", "umeng.umini.getTotalUser", 1);
    }

    private String dataSourceId;

    /**
     * @return 数据源id（AppKey）
     */
    public String getDataSourceId() {
        return dataSourceId;
    }

    /**
     * 设置数据源id（AppKey）     *
     * 参数示例：<pre>5dfe1b2f3597245664499a9c</pre>     
     * 此参数必填
     */
    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    private String fromDate;

    /**
     * @return 开始时间
     */
    public String getFromDate() {
        return fromDate;
    }

    /**
     * 设置开始时间     *
     * 参数示例：<pre>2020-03-01</pre>     
     * 此参数必填
     */
    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    private String toDate;

    /**
     * @return 结束时间
     */
    public String getToDate() {
        return toDate;
    }

    /**
     * 设置结束时间     *
     * 参数示例：<pre>2020-03-01</pre>     
     * 此参数必填
     */
    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    private Integer pageIndex;

    /**
     * @return 页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码     *
     * 参数示例：<pre>1</pre>     
     * 此参数为可选参数
     * 默认值：<pre>1</pre>
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页记录条数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页记录条数     *
     * 参数示例：<pre>30</pre>     
     * 此参数为可选参数
     * 默认值：<pre>30</pre>
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
